Employee Reviews API
curl --request GET \
--url https://api.akta.pro/api/v1/company/employee-reviews \
--header 'x-api-key: <api-key>'import requests
url = "https://api.akta.pro/api/v1/company/employee-reviews"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.akta.pro/api/v1/company/employee-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akta.pro/api/v1/company/employee-reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.akta.pro/api/v1/company/employee-reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.akta.pro/api/v1/company/employee-reviews")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akta.pro/api/v1/company/employee-reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"uuid": "00000jw-canva",
"employee_reviews": {
"overall_rating": {
"glassdoor": 3.9
},
"other_ratings": [
{
"type": "business_outlook",
"provider": "glassdoor",
"value": 0.7
},
{
"type": "ceo",
"provider": "glassdoor",
"value": 0.84
},
{
"type": "recommend_to_friend",
"provider": "glassdoor",
"value": 0.69
},
{
"type": "compensation_and_benefits",
"provider": "glassdoor",
"value": 3.9
},
{
"type": "culture_and_values",
"provider": "glassdoor",
"value": 3.7
},
{
"type": "diversity_and_inclusion",
"provider": "glassdoor",
"value": 4
},
{
"type": "senior_management",
"provider": "glassdoor",
"value": 3.1
},
{
"type": "work_life_balance",
"provider": "glassdoor",
"value": 3.7
}
],
"reviews": {
"data": [
{
"id": 104118495,
"summary": "Decent pay amid constant changes",
"pros": "Pay is still somewhat decent",
"cons": "Things are changing too drastically.",
"rating": 2,
"review_link": "https://www.glassdoor.com/Reviews/Employee-Review--RVW104118495.htm",
"job_title": "Customer Service Representative",
"review_date": "",
"employment_status": "REGULAR",
"is_current_employee": true,
"years_of_employment": 6,
"location": "Austin, TX",
"country_code": "",
"helpful_count": 0,
"not_helpful_count": 0,
"career_opportunities_rating": 2,
"ceo_rating": "APPROVE",
"compensation_and_benefits_rating": 2,
"culture_and_values_rating": 1,
"diversity_and_inclusion_rating": 4,
"senior_management_rating": 1,
"work_life_balance_rating": 2,
"language": "eng",
"provider": "glassdoor"
},
{
"id": 104093537,
"summary": "Great benefits and work-life balance, but slow career growth",
"pros": "Great benefits. Employer friendly. Great work life balance",
"cons": "Career progression is very hard",
"rating": 4,
"review_link": "https://www.glassdoor.com/Reviews/Employee-Review--RVW104093537.htm",
"job_title": "Technical Lead",
"review_date": "",
"employment_status": "REGULAR",
"is_current_employee": true,
"years_of_employment": 0,
"location": "Melbourne",
"country_code": "",
"helpful_count": 0,
"not_helpful_count": 0,
"career_opportunities_rating": 3,
"ceo_rating": null,
"compensation_and_benefits_rating": 4,
"culture_and_values_rating": 4,
"diversity_and_inclusion_rating": 4,
"senior_management_rating": 3,
"work_life_balance_rating": 4,
"language": "eng",
"provider": "glassdoor"
}
],
"total": 1068,
"total_by_provider": {
"glassdoor": 1068
}
}
}
},
"limit": 10,
"offset": 0,
"credits_consumed": 1.5
}
Alternative Signals
Employee Reviews API
Fetches a company’s employee review data including overall ratings, dimension-level ratings (culture, work-life balance, senior management and more) and individual employee reviews.
GET
/
v1
/
company
/
employee-reviews
Employee Reviews API
curl --request GET \
--url https://api.akta.pro/api/v1/company/employee-reviews \
--header 'x-api-key: <api-key>'import requests
url = "https://api.akta.pro/api/v1/company/employee-reviews"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.akta.pro/api/v1/company/employee-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akta.pro/api/v1/company/employee-reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.akta.pro/api/v1/company/employee-reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.akta.pro/api/v1/company/employee-reviews")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akta.pro/api/v1/company/employee-reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"uuid": "00000jw-canva",
"employee_reviews": {
"overall_rating": {
"glassdoor": 3.9
},
"other_ratings": [
{
"type": "business_outlook",
"provider": "glassdoor",
"value": 0.7
},
{
"type": "ceo",
"provider": "glassdoor",
"value": 0.84
},
{
"type": "recommend_to_friend",
"provider": "glassdoor",
"value": 0.69
},
{
"type": "compensation_and_benefits",
"provider": "glassdoor",
"value": 3.9
},
{
"type": "culture_and_values",
"provider": "glassdoor",
"value": 3.7
},
{
"type": "diversity_and_inclusion",
"provider": "glassdoor",
"value": 4
},
{
"type": "senior_management",
"provider": "glassdoor",
"value": 3.1
},
{
"type": "work_life_balance",
"provider": "glassdoor",
"value": 3.7
}
],
"reviews": {
"data": [
{
"id": 104118495,
"summary": "Decent pay amid constant changes",
"pros": "Pay is still somewhat decent",
"cons": "Things are changing too drastically.",
"rating": 2,
"review_link": "https://www.glassdoor.com/Reviews/Employee-Review--RVW104118495.htm",
"job_title": "Customer Service Representative",
"review_date": "",
"employment_status": "REGULAR",
"is_current_employee": true,
"years_of_employment": 6,
"location": "Austin, TX",
"country_code": "",
"helpful_count": 0,
"not_helpful_count": 0,
"career_opportunities_rating": 2,
"ceo_rating": "APPROVE",
"compensation_and_benefits_rating": 2,
"culture_and_values_rating": 1,
"diversity_and_inclusion_rating": 4,
"senior_management_rating": 1,
"work_life_balance_rating": 2,
"language": "eng",
"provider": "glassdoor"
},
{
"id": 104093537,
"summary": "Great benefits and work-life balance, but slow career growth",
"pros": "Great benefits. Employer friendly. Great work life balance",
"cons": "Career progression is very hard",
"rating": 4,
"review_link": "https://www.glassdoor.com/Reviews/Employee-Review--RVW104093537.htm",
"job_title": "Technical Lead",
"review_date": "",
"employment_status": "REGULAR",
"is_current_employee": true,
"years_of_employment": 0,
"location": "Melbourne",
"country_code": "",
"helpful_count": 0,
"not_helpful_count": 0,
"career_opportunities_rating": 3,
"ceo_rating": null,
"compensation_and_benefits_rating": 4,
"culture_and_values_rating": 4,
"diversity_and_inclusion_rating": 4,
"senior_management_rating": 3,
"work_life_balance_rating": 4,
"language": "eng",
"provider": "glassdoor"
}
],
"total": 1068,
"total_by_provider": {
"glassdoor": 1068
}
}
}
},
"limit": 10,
"offset": 0,
"credits_consumed": 1.5
}
Overview
The Employee Reviews API returns a company’s aggregated employee review signals along with individual reviews sourced from review providers such as Glassdoor. The response includes the overall rating, dimension-level ratings (culture, work-life balance, compensation, senior management, diversity and inclusion, business outlook, CEO approval, recommendation rate), and a paginated list of individual reviews with pros, cons, ratings, reviewer metadata and a link to the original review. Results are returned in the API response.The Employee Reviews API is available on Subscription and Enterprise plans only. Requests on the Pay-as-you-go plan will return a
403 error. See Pricing for plan details.Endpoint Details
- Method: GET
- Endpoint:
/api/v1/company/employee-reviews
Authentication requirements
- Include a valid API key in the
x-api-keyrequest header.
Request
Request Parameters
URL Parameters
Company website (e.g.
canva.com) or a company UUID (e.g. 3fa85f64-5717-4562-b3fc-2c963f66afa6). The UUID can be obtained from the Company Search API.Number of reviews to skip before returning records. Use with
limit for pagination.Default = 0Example Request
GET /v1/company/employee-reviews?company=canva.com&limit=10&offset=0
x-api-key: <your_api_key>
GET /v1/company/employee-reviews?company=3fa85f64-5717-4562-b3fc-2c963f66afa6
x-api-key: <your_api_key>
Response
Successful Response Fields
Returns a JSON object with the following structure:Employee Reviews Object Fields
Overall company rating per review provider. Keys are provider identifiers (e.g.
glassdoor), values are floats.Other Rating Object
Rating dimension. Example values:
business_outlook, ceo, recommend_to_friend, compensation_and_benefits, culture_and_values, diversity_and_inclusion, senior_management, work_life_balance.Rating value. Sentiment-style dimensions (e.g.
business_outlook, ceo, recommend_to_friend) are returned as a 0 to 1 percentage; other dimensions are returned on a 0 to 5 scale.Reviews Object Fields
Total review count broken down by provider. Keys are provider identifiers (e.g.
glassdoor), values are integer counts.Review Object Fields
{
"data": {
"uuid": "00000jw-canva",
"employee_reviews": {
"overall_rating": {
"glassdoor": 3.9
},
"other_ratings": [
{
"type": "business_outlook",
"provider": "glassdoor",
"value": 0.7
},
{
"type": "ceo",
"provider": "glassdoor",
"value": 0.84
},
{
"type": "recommend_to_friend",
"provider": "glassdoor",
"value": 0.69
},
{
"type": "compensation_and_benefits",
"provider": "glassdoor",
"value": 3.9
},
{
"type": "culture_and_values",
"provider": "glassdoor",
"value": 3.7
},
{
"type": "diversity_and_inclusion",
"provider": "glassdoor",
"value": 4
},
{
"type": "senior_management",
"provider": "glassdoor",
"value": 3.1
},
{
"type": "work_life_balance",
"provider": "glassdoor",
"value": 3.7
}
],
"reviews": {
"data": [
{
"id": 104118495,
"summary": "Decent pay amid constant changes",
"pros": "Pay is still somewhat decent",
"cons": "Things are changing too drastically.",
"rating": 2,
"review_link": "https://www.glassdoor.com/Reviews/Employee-Review--RVW104118495.htm",
"job_title": "Customer Service Representative",
"review_date": "",
"employment_status": "REGULAR",
"is_current_employee": true,
"years_of_employment": 6,
"location": "Austin, TX",
"country_code": "",
"helpful_count": 0,
"not_helpful_count": 0,
"career_opportunities_rating": 2,
"ceo_rating": "APPROVE",
"compensation_and_benefits_rating": 2,
"culture_and_values_rating": 1,
"diversity_and_inclusion_rating": 4,
"senior_management_rating": 1,
"work_life_balance_rating": 2,
"language": "eng",
"provider": "glassdoor"
},
{
"id": 104093537,
"summary": "Great benefits and work-life balance, but slow career growth",
"pros": "Great benefits. Employer friendly. Great work life balance",
"cons": "Career progression is very hard",
"rating": 4,
"review_link": "https://www.glassdoor.com/Reviews/Employee-Review--RVW104093537.htm",
"job_title": "Technical Lead",
"review_date": "",
"employment_status": "REGULAR",
"is_current_employee": true,
"years_of_employment": 0,
"location": "Melbourne",
"country_code": "",
"helpful_count": 0,
"not_helpful_count": 0,
"career_opportunities_rating": 3,
"ceo_rating": null,
"compensation_and_benefits_rating": 4,
"culture_and_values_rating": 4,
"diversity_and_inclusion_rating": 4,
"senior_management_rating": 3,
"work_life_balance_rating": 4,
"language": "eng",
"provider": "glassdoor"
}
],
"total": 1068,
"total_by_provider": {
"glassdoor": 1068
}
}
}
},
"limit": 10,
"offset": 0,
"credits_consumed": 1.5
}
Was this page helpful?
.png?fit=max&auto=format&n=tMpg-r-6yeOIk-hz&q=85&s=e0cafcb914826d8adc60e5092187e1ca)
.png?fit=max&auto=format&n=tMpg-r-6yeOIk-hz&q=85&s=f214ebe0a940d8aa0f19a709a6bfd7fa)